=== debian/changelog ===
hyphy (2.5.28+dfsg-3) unstable; urgency=medium

  * d/*.maintscript: handle symbolic link removal in hyphy 2.5.18+dfsg-1.
    Closes: #985284

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Tue, 16 Mar 2021 21:52:00 +0100

hyphy (2.5.28+dfsg-2) unstable; urgency=medium

  * Team upload.
  * debian/rules: set LC_ALL to fix groff warnings in the manpages
  * debian/patches/spelling: fix some typos
  * debian/rules: delete erroneous rpath for the MPI binaries
  * debian/rules: improve the clean target

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 20 Feb 2021 10:57:19 +0100

hyphy (2.5.28+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debian/tests/run-unit-tests: don't skip four tests that are now passing

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 19 Feb 2021 17:15:31 +0100
