## hyphy 2.5.32+dfsg

=== debian/changelog ===
hyphy (2.5.32+dfsg-1) unstable; urgency=medium

  * New upstream version 2.5.32+dfsg
  * Refresh d/p/use_debian_sqlite.patch, do not impose ZLIB
    changes on the same patch so as to avoid confusion
  * d/p/set-zlib-after-setting-default-libs.patch: Check for existence
    of ZLIB *after* DEFAULT_LIBRARIES have been set

 -- Nilesh Patra <nilesh@debian.org>  Wed, 25 Aug 2021 19:44:43 +0530

hyphy (2.5.31+dfsg-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Removed spelling patch, it was merged upstream

  [ Étienne Mollier ]
  * Remove d/*.maintscriptsL: these have been brought in
    the earlier release of hyphy 2.5.28+dfsg-3
  * d/control: update uploader address
  * d/watch: fix broken link to github

  [ Nilesh Patra ]
  * d/watch: Fix watch regex
  * New upstream version 2.5.31+dfsg
  * d/p/*.patch: Refresh patches
  * d/p/use_debian_sqlite.patch: Check for existence of
    ZLIB *after* DEFAULT_LIBRARIES have been set
  * Fix copyright

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 19:06:23 +0530
