=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: hyphy
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
-           Étienne Mollier <etienne.mollier@mailoo.org>,
-           Nilesh Patra <npatra974@gmail.com>
+           Étienne Mollier <emollier@debian.org>,
+           Nilesh Patra <nilesh@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
