## hyphy 2.5.33+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
 cmake_policy(VERSION 3.0.0)
 
 enable_testing()
+#enable_language(Fortran)
 
 set(CMAKE_CONFIGURATION_TYPES Release)
 
@@ -13,6 +14,7 @@
 option(NOAVX OFF)
 option(NOSSE3 OFF)
 option(NONEON OFF)
+option(NOZLIB OFF)
 
 #-------------------------------------------------------------------------------
 # SSE MACROS
@@ -304,16 +306,20 @@
 # LIBCurl support
 #-------------------------------------------------------------------------------
 find_package(CURL)
-if(${CURL_FOUND} AND NOT APPLE)
-    if(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
-        set(DEFAULT_LIBRARIES crypto curl ssl)
-    else(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
-        set(DEFAULT_LIBRARIES dl crypto curl ssl)
-    endif(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
+if(${CURL_FOUND})
+    message(${CURL_LIBRARIES})
+    list(APPEND DEFAULT_LIBRARIES ${CURL_LIBRARIES})
     add_definitions (-D__HYPHYCURL__)
-endif(${CURL_FOUND} AND NOT APPLE)
-
-
+endif(${CURL_FOUND})
+
+if(NOT NOZLIB)
+	find_package(ZLIB 1.2.9)
+	if(${ZLIB_FOUND})
+                list(APPEND DEFAULT_LIBRARIES ${ZLIB_LIBRARIES})
+                include_directories(${ZLIB_INCLUDE_DIRS})
+		add_definitions (-D__ZLIB__)
+	endif(${ZLIB_FOUND})
+endif(NOT NOZLIB)
 
 #-------------------------------------------------------------------------------
 # uninstall target
@@ -340,6 +346,3 @@
 
 #-------------------------------------------------------------------------------
 # setup some source properties so that we don't spam stdout
-#-------------------------------------------------------------------------------
-set_property(
-    SOURCE ${SRC_CORE}
