=== debian/changelog ===
hyphy (2.5.33+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 19 Oct 2021 10:07:52 +0000
