=== debian/changelog ===
hyphy (2.5.36+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Fri, 11 Feb 2022 13:35:31 +0100
