=== debian/control ===
--- 
+++ 
@@ -59,7 +59,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Suggests: hyphygui | hyphy-mpi | hyphy-pt
+Suggests: hyphy-mpi | hyphy-pt
 Description: Hypothesis testing using Phylogenies (common files)
  HyPhy is an open-source software package for the analysis of genetic
  sequences using techniques in phylogenetics, molecular evolution, and
