## hyphy 2.5.38+dfsg

=== debian/changelog ===
hyphy (2.5.38+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 02 May 2022 12:18:35 +0200
