## hyphy 2.5.39+dfsg

=== debian/changelog ===
hyphy (2.5.39+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Proper filename for upstream tarball

  [ Étienne Mollier ]
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Étienne Mollier <emollier@debian.org>  Tue, 31 May 2022 19:37:50 +0200
