## hyphy 2.5.40+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -267,7 +267,7 @@
 
 #set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS}  -fopt-info -fopt-info-vec-missed")
 set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS}")
-MESSAGE ("Set compiler flags to ${DEFAULT_COMPILE_FLAGS}")
+MESSAGE ("Set default compiler flags to ${DEFAULT_COMPILE_FLAGS}")
 
 if(NOT DEFINED DEFAULT_COMPILE_FLAGS)
     set(DEFAULT_COMPILE_FLAGS "")
