=== debian/changelog ===
hyphy (2.5.40+dfsg-1) unstable; urgency=medium

  * New upstream version 2.5.40+dfsg
  * d/*.lintian-overrides: refresh overrides to new convention.

 -- Étienne Mollier <emollier@debian.org>  Fri, 15 Jul 2022 10:08:29 +0200
