## hyphy 2.5.41+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -289,6 +289,11 @@
 #-------------------------------------------------------------------------------
 find_package(OpenMP)
 
+# emulate missing OpenMP for testing
+
+#set (OPENMP_FOUND FALSE)
+#set (OpenMP_CXX_FLAGS "")
+
 #-------------------------------------------------------------------------------
 # default installation prefix
 #-------------------------------------------------------------------------------
@@ -348,4 +353,3 @@
 
 
 #-------------------------------------------------------------------------------
-# setup some source properties so that we don't spam stdout
