=== debian/changelog ===
hyphy (2.5.41+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 24 Aug 2022 14:08:01 +0200
