=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libsqlite3-dev,
                pkg-config,
                chrpath
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/hyphy
 Vcs-Git: https://salsa.debian.org/med-team/hyphy.git
 Homepage: https://hyphy.org/
