## hyphy 2.5.42+dfsg

=== debian/changelog ===
hyphy (2.5.42+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 22 Sep 2022 09:13:46 +0200
