=== debian/changelog ===
hyphy (2.5.47+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 05 Feb 2023 20:48:53 +0100
