=== debian/changelog ===
hyphy (2.5.50+dfsg-1) unstable; urgency=medium

  * New upstream version 2.5.50+dfsg

 -- Nilesh Patra <nilesh@debian.org>  Mon, 12 Jun 2023 17:45:32 +0000
