## hyphy 2.5.51+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -157,7 +157,7 @@
 # make it fast, scotty
 #-------------------------------------------------------------------------------
 
-set(DEFAULT_WARNING_FLAGS " -w  ")
+set(DEFAULT_WARNING_FLAGS " -w -Weffc++ -Wextra -Wall ")
 set(DEFAULT_DEBUG_WARNING_FLAGS "-Wall -Wno-int-to-pointer-cast -Wno-conversion-null -Wno-sign-compare -Wno-maybe-uninitialized")
 
 
@@ -222,7 +222,7 @@
 
 if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
     #set(DEFAULT_COMPILE_FLAGS "-fsigned-char -O3  -fsave-optimization-record=yaml ")
-    set(DEFAULT_COMPILE_FLAGS "-fsigned-char -O3 -D_FORTIFY_SOURCE=2   -Wall")
+    set(DEFAULT_COMPILE_FLAGS "-fsigned-char -O3 -D_FORTIFY_SOURCE=2  -std=c++14 -Wall")
     if(NOAVX)
         if(NOSSE4)
             set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -mno-sse3")
