=== debian/changelog ===
hyphy (2.5.51+dfsg-1) unstable; urgency=medium

  * New upstream version 2.5.51+dfsg
  * Remove constraints unnecessary since bullseye (oldstable)
    * Remove 3 maintscript entries from 3 files.
    Changes-By: deb-scrub-obsolete
  * rm_arch_specific_flags.patch: refresh.
  * d/control: build now depends on swig.
  * d/control: build now depends on python3 sdk.
  * fix-configure-failure.patch: add: fix a cmake error.

 -- Étienne Mollier <emollier@debian.org>  Sun, 09 Jul 2023 14:29:23 +0200
