=== debian/control ===
--- 
+++ 
@@ -12,6 +12,9 @@
                libssl-dev,
                libsqlite3-dev,
                pkg-config,
+               libpython3-all-dev,
+               python3-all-dev:any,
+               swig,
                chrpath
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/hyphy
