## hyphy 2.5.52+dfsg

=== debian/changelog ===
hyphy (2.5.52+dfsg-1) unstable; urgency=medium

  * New upstream version 2.5.52+dfsg
  * fix-configure-failure.patch: remove: fixed upstream.
  * d/control: remove build dependency on swig.

 -- Étienne Mollier <emollier@debian.org>  Sun, 13 Aug 2023 12:09:38 +0200
