## hyphy 2.5.53+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,14 @@
 option(NOSSE4 OFF)
 option(NONEON OFF)
 option(NOZLIB OFF)
+
+
+if(CMAKE_SYSTEM_NAME STREQUAL "Emscripten")
+  set(NOAVX ON)
+  set(NOSSE4 ON)
+  set(NONEON ON)
+  set(NOZLIB ON)
+endif()
 
 #-------------------------------------------------------------------------------
 # SSE MACROS
@@ -346,6 +354,3 @@
 find_program(NODE npm)
 if(NOT NODE)
     message("Node not installed; API documentation will not be generated")
-else(NOT NODE)
-    add_custom_target(
-        docs
