=== debian/changelog ===
hyphy (2.5.53+dfsg-1) unstable; urgency=medium

  * New upstream version 2.5.53+dfsg
  * d/{clean,rules}: fix building twice in a row.
    This is done by cleaning temporary test data and build results on one
    hand, and by fixing some national encoded files in their temporary
    installation location instead of within upstream source code on the
    other hand. (Closes: #1048874)

 -- Étienne Mollier <emollier@debian.org>  Sat, 26 Aug 2023 11:05:10 +0200
