## hyphy 2.5.56+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,13 +16,15 @@
 option(NONEON OFF)
 option(NOZLIB OFF)
 
-
 if(CMAKE_SYSTEM_NAME STREQUAL "Emscripten")
-  set(NOAVX ON)
-  set(NOSSE4 ON)
-  set(NONEON ON)
-  set(NOZLIB ON)
-endif()
+   set(NOAVX ON)
+   #set(NOSSE4 ON)
+   set(NONEON ON)
+   set(NOZLIB ON)
+   set(LIBRARY_PATH "/hyphy")
+   #set(CMAKE_EXECUTABLE_SUFFIX ".html")
+   add_definitions (-D_USE_EMSCRIPTEN_)
+ endif()
 
 #-------------------------------------------------------------------------------
 # SSE MACROS
@@ -191,12 +193,17 @@
     if(NOAVX)
         set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -mno-avx")
         if(NOSSE4)
-            set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -mno-sse3")
+	        if(NOT CMAKE_SYSTEM_NAME STREQUAL "Emscripten")
+            	set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -mno-sse3")
+            endif()
         else(NOSSE4)
             PCL_CHECK_FOR_SSE4()
             if(${HAVE_SSE4_EXTENSIONS})
                 add_definitions (-D_SLKP_USE_SSE_INTRINSICS)
                 set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -msse4.1 ")
+                if(CMAKE_SYSTEM_NAME STREQUAL "Emscripten")
+				 	set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -msimd128 ")
+			    endif()
             endif(${HAVE_SSE4_EXTENSIONS})
         endif(NOSSE4)
     else(NOAVX)
@@ -214,6 +221,8 @@
             if(${HAVE_SSE4_EXTENSIONS})
                 add_definitions (-D_SLKP_USE_SSE_INTRINSICS)
                 set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -msse4.1 ")
+                
+
             endif(${HAVE_SSE4_EXTENSIONS})
         endif(${HAVE_AVX_EXTENSIONS})
     endif(NOAVX)
@@ -222,6 +231,7 @@
 		PCL_CHECK_FOR_NEON()
 		if(${HAVE_NEON_EXTENSIONS})
 			add_definitions (-D_SLKP_USE_ARM_NEON)
+
 		endif(${HAVE_NEON_EXTENSIONS})
 	endif(NOT NONEON)
 
@@ -233,13 +243,18 @@
     set(DEFAULT_COMPILE_FLAGS "-fsigned-char -O3 -D_FORTIFY_SOURCE=2  -std=c++14 -Wall")
     if(NOAVX)
         if(NOSSE4)
-            set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -mno-sse3")
-        else(NOSSE4)
+	        if(NOT CMAKE_SYSTEM_NAME STREQUAL "Emscripten")
+            	set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -mno-sse3")
+            endif()
+         else(NOSSE4)
             PCL_CHECK_FOR_SSE4()
-            if(${HAVE_SSE4_EXTENSIONS})
-                add_definitions (-D_SLKP_USE_SSE_INTRINSICS)
-                set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -msse4.1 ")
-            endif(${HAVE_SSE4_EXTENSIONS})
+ 			if("${HAVE_SSE4_EXTENSIONS}" OR ${CMAKE_SYSTEM_NAME} STREQUAL "Emscripten")
+				add_definitions (-D_SLKP_USE_SSE_INTRINSICS)
+				set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -msse4.1 ")
+				if(CMAKE_SYSTEM_NAME STREQUAL "Emscripten")
+					set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -msimd128 ")
+				endif()
+			endif()  
         endif(NOSSE4)
     else(NOAVX)
         PCL_CHECK_FOR_AVX()
@@ -275,7 +290,6 @@
 
 #set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS}  -fopt-info -fopt-info-vec-missed")
 set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS}")
-MESSAGE ("Set default compiler flags to ${DEFAULT_COMPILE_FLAGS}")
 
 if(NOT DEFINED DEFAULT_COMPILE_FLAGS)
     set(DEFAULT_COMPILE_FLAGS "")
@@ -291,6 +305,11 @@
     set(DEFAULT_WARNING_FLAGS "")
 endif(NOT DEFINED DEFAULT_WARNING_FLAGS)
 
+if(CMAKE_SYSTEM_NAME STREQUAL "Emscripten")
+   set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -fwasm-exceptions ")
+endif()
+
+MESSAGE ("Set default compiler flags to ${DEFAULT_COMPILE_FLAGS}")
 
 #-------------------------------------------------------------------------------
 # OpenMP support
@@ -332,25 +351,3 @@
 	find_package(ZLIB 1.2.9)
 	if(${ZLIB_FOUND})
                 list(APPEND DEFAULT_LIBRARIES ${ZLIB_LIBRARIES})
-                include_directories(${ZLIB_INCLUDE_DIRS})
-		add_definitions (-D__ZLIB__)
-	endif(${ZLIB_FOUND})
-endif(NOT NOZLIB)
-
-
-
-#-------------------------------------------------------------------------------
-# uninstall target
-#-------------------------------------------------------------------------------
-configure_file(
-    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
-    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
-    IMMEDIATE @ONLY
-)
-add_custom_target(uninstall
-    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
-)
-
-find_program(NODE npm)
-if(NOT NODE)
-    message("Node not installed; API documentation will not be generated")
