=== debian/changelog ===
hyphy (2.5.56+dfsg-1) unstable; urgency=medium

  * New upstream version 2.5.56+dfsg
  * rm_arch_specific_flags.patch: refresh.
  * use_debian_sqlite.patch: refresh.
  * set-zlib-after-setting-default-libs.patch: refresh.

 -- Étienne Mollier <emollier@debian.org>  Mon, 06 Nov 2023 23:01:33 +0100
