=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
                pkg-config,
                libpython3-all-dev,
                python3-all-dev:any,
-               swig,
                chrpath
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/hyphy
