=== debian/changelog ===
hyphy (2.5.57+dfsg-1) unstable; urgency=medium

  * New upstream version 2.5.57+dfsg

 -- Étienne Mollier <emollier@debian.org>  Fri, 24 Nov 2023 12:27:51 +0100
