=== debian/changelog ===
hyphy (2.5.58+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Fri, 15 Dec 2023 13:22:55 +0100
