## hyphy 2.5.59%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: hyphy
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
            Étienne Mollier <emollier@debian.org>,
            Nilesh Patra <nilesh@debian.org>
